For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetSmartQueueRealtimeMetrics
        • POSTGetSmartQueueDayHistory
        • POSTRequestSmartQueueHistory
        • POSTGetSQState
        • POSTSQ_SetAgentCustomStatusMapping
        • POSTSQ_GetAgentCustomStatusMapping
        • POSTSQ_DeleteAgentCustomStatusMapping
        • POSTSQ_AddQueue
        • POSTSQ_SetQueueInfo
        • POSTSQ_DelQueue
        • POSTSQ_GetQueues
        • POSTSQ_AddSkill
        • POSTSQ_DelSkill
        • POSTSQ_SetSkillInfo
        • POSTSQ_BindSkill
        • POSTSQ_UnbindSkill
        • POSTSQ_GetSkills
        • POSTSQ_BindAgent
        • POSTSQ_UnbindAgent
        • POSTSQ_GetAgents
        • POSTSQ_SetAgentInfo
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceSmartQueue

SQ_SetAgentCustomStatusMapping

||View as Markdown|
POST
https://api.voximplant.com/platform_api/SQ_SetAgentCustomStatusMapping
POST
/platform_api/SQ_SetAgentCustomStatusMapping
$curl -X POST "https://api.voximplant.com/platform_api/SQ_SetAgentCustomStatusMapping?sq_status_name=OnCall&custom_status_name=In%20a%20Call&application_id=12345" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Example 1
1{
2 "result": 1
3}
Adds a status if there is no match for the given internal status and renames it if there is a match. It means that if the passed **sq_status_name** parameter is not in the mapping table, a new entry is created in there; if it is, the **name** field in its mapping is replaced with **custom_status_name**. **Example request:** Add/rename a status depending on the presence of an internal status in agent_status_mapping.
Was this page helpful?
Previous

GetSQState

Next

SQ_GetAgentCustomStatusMapping

Built with

Adds a status if there is no match for the given internal status and renames it if there is a match. It means that if the passed sq_status_name parameter is not in the mapping table, a new entry is created in there; if it is, the name field in its mapping is replaced with custom_status_name.

Example request: Add/rename a status depending on the presence of an internal status in agent_status_mapping.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

sq_status_namestringRequired
Status name
custom_status_namestringRequired
Custom status name
application_idintegerRequired
Application ID

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully